Update Instance Billing Mode
curl --request PUT \
--url https://api.novita.ai/gpus/v2/instances/{instance_id}/billing-mode \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"type": "prepaid",
"months": 1
}
'import requests
url = "https://api.novita.ai/gpus/v2/instances/{instance_id}/billing-mode"
payload = {
"type": "prepaid",
"months": 1
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({type: 'prepaid', months: 1})
};
fetch('https://api.novita.ai/gpus/v2/instances/{instance_id}/billing-mode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Instance
Update Instance Billing Mode
PUT
/
gpus
/
v2
/
instances
/
{instance_id}
/
billing-mode
Update Instance Billing Mode
Headers
Allowed value: application/json.
Bearer authentication format, e.g.: Bearer {{API_KEY}}.
Path Parameters
Instance ID. String, length: 1-255 characters.
Body
application/json
Response
200 - application/json
OK
The response is of type object.
Last modified on June 26, 2026
Was this page helpful?
⌘I